<template>
  <v-footer
    height="auto"
    color="primary"
  >
    <v-layout
      justify-center
      row
    >
      <a
        href="#"
        target="_blank"
      >
        <img
          src="/images/pages/footer/footermobilclic.svg"
          height="200px"
          width="200px"
        >      </a>
      <v-flex
        py-4
        text-center
        xs12
        class="white--text"
      >
        <strong>Mobicoop</strong> <v-chip
          class="ma-2"
        >
          {{ version }}
        </v-chip> by Mobicoop team. The source code is licensed AGPL3. The website content is licensed AGPL3 too
      </v-flex>
      <v-flex
        py-4
        text-center
        xs12
      >
        <v-btn
          text
          rounded
          dark
          :href="$t('buttons.contact.route')"
          class="text-none"
        >
          {{ $t('buttons.contact.label') }}
        </v-btn>
        <v-btn
          text
          rounded
          dark
          class="text-none"
          @click="showCookiesAction()"
        >
          {{ $t('tools.cookies.title') }}
        </v-btn>
      </v-flex>
    </v-layout>
    <cookies
      :show="showCookies"
      :app-name="appName"
      :auto-show="cookiesShowAuto"
      :social-networks-active="socialNetworksActive"
      :social-cookies="socialCookies"
      @dialogClosed="dialogCookiesClosed"
    />
  </v-footer>
</template>

<script>
import Package from '@root/package.json'
import { merge } from "lodash";
import {messages_en, messages_fr} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Cookies    
  },
  props: {
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  }, 
  data() {
    return {
      version:Package.version,
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>
